Public Class Form1

    Dim parentTable As New DataTable
    Dim childTable As New DataTable

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.parentTable.Columns.Add("Name", GetType(String))

        With Me.parentTable.Rows
            .Add("Peter")
            .Add("Paul")
            .Add("Mary")
        End With

        Me.BindingSource1.DataSource = Me.parentTable
        Me.Column2.DisplayMember = "Name"
        Me.Column2.DataSource = Me.BindingSource1

        With Me.childTable.Columns
            .Add("ID", GetType(Integer))
            .Add("Name", GetType(String))
        End With

        With Me.childTable.Rows
            .Add(1, "Peter")
            .Add(2, "Paul")
            .Add(3, "Mary")
        End With

        Me.BindingSource2.DataSource = Me.childTable
        Me.DataGridView1.DataSource = Me.BindingSource2
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Using dlg As New Form2(Me.parentTable)
            dlg.ShowDialog()
        End Using
    End Sub

End Class
